Subject: Re: dtc: Simplify error handling for unparseable input

From: Scott Wood <[email-masked]>
Date: Tue, 25 Mar 2008 17:10:07 -0500

David Gibson wrote:
> On Tue, Mar 25, 2008 at 09:36:19AM -0500, Scott Wood wrote:
>> On Tue, Mar 25, 2008 at 12:28:05PM +1100, David Gibson wrote:
>>> On Mon, Mar 24, 2008 at 12:36:41PM -0500, Scott Wood wrote:
>>>> If you remove this, there'll be no way to indicate semantic errors other
>>>> than die() (the NULL approaches are no good, since they inhibit recovery),
>>>> which is suboptimal if the error is not immediately fatal.
>>> But everything is immediately fatal.  When we have a *real* example of
>>> something that's not, we can restore an error code.
>> Failed binary includes are not immediately fatal.
> 
> And is there any advantage to having them not immediately fatal?

It's generally nice to the user if you can report as many bugs as you 
can rather than fail on the first one.

It's also nice to someone down the road trying to turn this code into a 
library if it passes return status up the call chain gracefully.

-Scott